import { error } from '@sveltejs/kit';


export async function load({ url, params }) {
    try {
        let post = await import(`../_posts/${params.slug}.svx`);
        return {
            post: post.default,
        }
    }
    catch (err) {
        throw error(404, `Not found: ${url.pathname}`);
    }
}
